Toast services in EJ2 JavaScript Toast control

10 May 20238 minutes to read

The Toast component provides a built-in utility function to render the toast with minimal code. The utility function will render the toast without the need of rendering the container element in the DOM where the toast is appended. So that, the toast can now be rendered on the go. The following are the option to render the toast using the utility function.

Show Toast with predefined types

The Toast component support 4 types of predefined toast with essential colors for various situations which can be shown using the ToastUtility.show by just defining the type of the toast without defining any class names. The following options are used as an argument on calling the utility function for predefined types:

Options Description
content Specifies the content that can be displayed on the Toast.
type Specifies the type of the predefined Toasts. The 4 types of predefined toasts are Information, Success, Error, Warning
timeOut Specifies the Toast display time duration on the page in milliseconds. Once the time expires, Toast message will be removed. Setting 0 as a time out value displays the Toast on the page until the user closes it manually.
//Initialize Toast component using utility
var toastObj;
document.getElementById('info_Toast').onclick = function () {
    toastObj = ej.notifications.ToastUtility.show('Please read the comments carefully', 'Information', 20000);
};
document.getElementById('success_Toast').onclick = function () {
    toastObj = ej.notifications.ToastUtility.show('Your message has been sent successfully', 'Success', 20000);
};
document.getElementById('error_Toast').onclick = function () {
    toastObj = ej.notifications.ToastUtility.show('A problem has been occurred while submitting the data', 'Error', 20000);
};
document.getElementById('warning_Toast').onclick = function () {
    toastObj = ej.notifications.ToastUtility.show('There was a problem with your network connection', 'Warning', 20000);
};
document.getElementById('hide_Toast').onclick = function () {
   toastObj.hide('All');
};
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Toast</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/25.1.35/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div>
            <button class="e-btn e-control e-info" id="info_Toast"> Info Message </button>
            <button class="e-btn e-control e-success" id="success_Toast"> Success Message </button>
            <button class="e-btn e-control e-warning" id="warning_Toast"> Warning Message </button>
            <button class="e-btn e-control e-danger" id="error_Toast"> Danger Message </button>
        </div>
        <br>
        <div style="text-align: center;">
            <button class="e-btn e-control" id="hide_Toast"> Hide All </button>
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Show Toast with ToastModel

The utility function can be called using the ToastModel as argument to show the toast where all the properties in the ToastModel like any events, position, close icon, action buttons, etc. can be used in the ToastUtility.show.

//Initialize Toast component using utility function with ToastModel
var toastObj;
document.getElementById('show_Toast').onclick = (): void => {
    toastObj = ej.notifications.ToastUtility.show({
        title: 'Toast Title',
        content: 'Toast shown using utility function with ToastModel',
        timeOut: 20000,
        position: { X: 'Right', Y: 'Bottom' },
        showCloseButton: true,
        click: toastClick,
        buttons:  [{
            model: { content: 'Close' }, click: toastClose
        }]
    })
};

function toastClick() {
    console.log('Toast click event triggered');
}

function toastClose() {
    toastObj.hide();
}
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Toast</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript Toolbar Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/25.1.35/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/25.1.35/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <div style="text-align: center;">
            <button class="e-btn e-control" id="show_Toast">Show Toast</button>
        </div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Toast services in Vue Toast component

16 Mar 20238 minutes to read

The Vue Toast component provides a built-in utility function to render the toast with minimal code. The utility function will render the toast without the need of rendering the container element in the DOM where the toast is appended. So that, the toast can now be rendered on the go. The following are the option to render the toast using the utility function.

Show Toast with predefined types

The Toast component support 4 types of predefined toast with essential colors for various situations which can be shown using the ToastUtility.show by just defining the type of the toast without defining any class names. The following options are used as an argument on calling the utility function for predefined types:

Options Description
content Specifies the content that can be displayed on the Toast.
type Specifies the type of the predefined Toasts. The 4 types of predefined toasts are Information, Success, Error, Warning
timeOut Specifies the Toast display time duration on the page in milliseconds. Once the time expires, Toast message will be removed. Setting 0 as a time out value displays the Toast on the page until the user closes it manually.
<template>
   <div id='app'>
        <div>
            <ejs-button ref='infoButtonRef' class="e-btn e-control e-info" id="info_toast" v-on:click.native="infoToast">Info Message</ejs-button>
            <ejs-button ref='successButtonRef' class="e-btn e-control e-success" id="success_toast" v-on:click.native="successToast">Success Message</ejs-button>
            <ejs-button ref='warningButtonRef' class="e-btn e-control e-warning" id="warning_toast" v-on:click.native="warningToast">Warning Message</ejs-button>
            <ejs-button ref='dangerButtonRef' class="e-btn e-control e-danger" id="danger_toast" v-on:click.native="dangerToast">Danger Message</ejs-button>
        </div>
        <br/>
        <div>
            <center><ejs-button ref='hideButtonRef' class="e-btn" id="hide_toast" v-on:click.native="hideToast">Hide All</ejs-button></center>
        </div>
   </div>
</template>

<script>
import Vue from "vue";
import { ToastPlugin, Toast, ToastUtility } from "@syncfusion/ej2-vue-notifications";
import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';
import { closest } from '@syncfusion/ej2-base';

Vue.use(ToastPlugin);
Vue.use(ButtonPlugin);
let ToastObj = undefined;

export default {
  name: 'app',
  data: function(){
    return { }
  },
  methods: {
        infoToast: function(){
            ToastObj = ToastUtility.show('Please read the comments carefully', 'Information', 20000);
        },
        successToast: function(){
            toastObj = ToastUtility.show('Your message has been sent successfully', 'Success', 20000);
        },
        warningToast: function(){
            toastObj = ToastUtility.show('There was a problem with your network connection', 'Warning', 20000);
        },
        dangerToast: function(){
            toastObj = ToastUtility.show('A problem has been occurred while submitting the data', 'Error', 20000);
        },
        hideToast: function(){
            ToastObj.hide('All');
        }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-notifications/styles/material.css";
</style>

<style lang="scss">
#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}
</style>

Show Toast with ToastModel

The utility function can be called using the ToastModel as argument to show the toast where all the properties in the ToastModel like any events, position, close icon, action buttons, etc. can be used in the ToastUtility.show.

<template>
   <div id='app'>
       <center><ejs-button ref='showButtonRef' class="e-btn" id="show_toast" v-on:click.native="showToast">Show Toast</ejs-button></center>
   </div>
</template>

<script>
import Vue from "vue";
import { ToastPlugin, Toast, ToastUtility } from "@syncfusion/ej2-vue-notifications";
import { ButtonPlugin } from '@syncfusion/ej2-vue-buttons';
import { closest } from '@syncfusion/ej2-base';

Vue.use(ToastPlugin);
Vue.use(ButtonPlugin);
let ToastObj = undefined;

export default {
  name: 'app',
  data: function(){
    return { }
  },
  methods: {
      showToast: function(args){
          ToastObj = ToastUtility.show({
            title: 'Toast Title',
            content: 'Toast shown using utility function with ToastModel',
            timeOut: 20000,
            position: { X: 'Right', Y: 'Bottom' },
            showCloseButton: true,
            click: this.toastClick,
            buttons:  [{
                model: { content: 'Close' }, click: this.toastClose
            }]
        });
      },
      toastClose: function(){
        ToastObj.hide();
      }
      toastClick: function(){
        console.log('Toast click event triggered');
      }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-notifications/styles/material.css";
</style>

<style lang="scss">
#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}
</style>

Toast services in React Toast component

30 Jan 202321 minutes to read

The Toast component provides a built-in utility function to render the toast with minimal code. The utility function will render the toast without the need of rendering the container element in the DOM where the toast is appended. So that, the toast can now be rendered on the go. The following are the option to render the toast using the utility function.

Show Toast with predefined types

The Toast component support 4 types of predefined toast with essential colors for various situations which can be shown using the ToastUtility.show by just defining the type of the toast without defining any class names. The following options are used as an argument on calling the utility function for predefined types:

Options Description
content Specifies the content that can be displayed on the Toast.
type Specifies the type of the predefined Toasts. The 4 types of predefined toasts are Information, Success, Error, Warning
timeOut Specifies the Toast display time duration on the page in milliseconds. Once the time expires, Toast message will be removed. Setting 0 as a time out value displays the Toast on the page until the user closes it manually.

[Class-component]

import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
const toastObj;
class App extends React.Component {
    infoShow() {
        toastObj = ToastUtility.show('Please read the comments carefully', 'Information', 20000);
    }
    successShow() {
        toastObj = ToastUtility.show('Your message has been sent successfully', 'Success', 20000);
    }
    warningShow() {
        toastObj = ToastUtility.show('There was a problem with your network connection', 'Warning', 20000);
    }
    dangerShow() {
        toastObj = ToastUtility.show('A problem has been occurred while submitting the data', 'Error', 20000);
    }
    hideToast() {
        toastObj.hide('All');
    }
    render() {
        return (<div>
        <div>
          <ButtonComponent cssClass="e-btn e-control e-info" onClick={this.infoShow = this.infoShow.bind(this)}> Info Message </ButtonComponent>
          <ButtonComponent cssClass="e-btn e-control e-success" onClick={this.successShow = this.successShow.bind(this)}> Success Message </ButtonComponent>
          <ButtonComponent cssClass="e-btn e-control e-warning" onClick={this.warningShow = this.warningShow.bind(this)}> Warning Message </ButtonComponent>
          <ButtonComponent cssClass="e-btn e-control e-danger" onClick={this.dangerShow = this.dangerShow.bind(this)}> Danger Message </ButtonComponent>
        </div>
        <br />
        <div className="toastUtility">
          <ButtonComponent cssClass="e-btn e-control" onClick={this.hideToast = this.hideToast.bind(this)}> Hide All </ButtonComponent>
        </div>
      </div>);
    }
}
;
export default App;
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastComponent, ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
const toastObj;
class App extends React.Component<{}, {}> {
  public infoShow() {
    toastObj = ToastUtility.show('Please read the comments carefully', 'Information', 20000);
  }
  public successShow() {
    toastObj = ToastUtility.show('Your message has been sent successfully', 'Success', 20000);
  }
  public warningShow() {
    toastObj = ToastUtility.show('There was a problem with your network connection', 'Warning', 20000);
  }
  public dangerShow() {
    toastObj = ToastUtility.show('A problem has been occurred while submitting the data', 'Error', 20000);
  }

  public hideToast() {
    toastObj.hide('All');
  }

  public render() {
    return (
      <div>
        <div>
          <ButtonComponent cssClass="e-btn e-control e-info" onClick={this.infoShow = this.infoShow.bind(this)}> Info Message </ButtonComponent>
          <ButtonComponent cssClass="e-btn e-control e-success" onClick={this.successShow = this.successShow.bind(this)}> Success Message </ButtonComponent>
          <ButtonComponent cssClass="e-btn e-control e-warning" onClick={this.warningShow = this.warningShow.bind(this)}> Warning Message </ButtonComponent>
          <ButtonComponent cssClass="e-btn e-control e-danger" onClick={this.dangerShow = this.dangerShow.bind(this)}> Danger Message </ButtonComponent>
        </div>
        <br/>
        <div className="toastUtility">
          <ButtonComponent cssClass="e-btn e-control" onClick={this.hideToast = this.hideToast.bind(this)}> Hide All </ButtonComponent>
        </div>
      </div>
    );
  }
};
export default App;

[Functional-component]

import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
let toastObj;
function App() {
    function infoShow() {
        toastObj = ToastUtility.show('Please read the comments carefully', 'Information', 20000);
    }
    function successShow() {
        toastObj = ToastUtility.show('Your message has been sent successfully', 'Success', 20000);
    }
    function warningShow() {
        toastObj = ToastUtility.show('There was a problem with your network connection', 'Warning', 20000);
    }
    function dangerShow() {
        toastObj = ToastUtility.show('A problem has been occurred while submitting the data', 'Error', 20000);
    }
    function hideToast() {
        toastObj.hide('All');
    }
    return (<div>
      <div>
        <ButtonComponent cssClass="e-btn e-control e-info" onClick={infoShow.bind(this)}> Info Message </ButtonComponent>
        <ButtonComponent cssClass="e-btn e-control e-success" onClick={successShow.bind(this)}> Success Message </ButtonComponent>
        <ButtonComponent cssClass="e-btn e-control e-warning" onClick={warningShow.bind(this)}> Warning Message </ButtonComponent>
        <ButtonComponent cssClass="e-btn e-control e-danger" onClick={dangerShow.bind(this)}> Danger Message </ButtonComponent>
      </div>
      <br />
      <div className="toastUtility">
        <ButtonComponent cssClass="e-btn e-control" onClick={hideToast.bind(this)}> Hide All </ButtonComponent>
      </div>
    </div>);
}
export default App;
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastComponent, ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
let toastObj;
function App(){
  function infoShow() {
    toastObj = ToastUtility.show('Please read the comments carefully', 'Information', 20000);
  }
  function successShow() {
    toastObj = ToastUtility.show('Your message has been sent successfully', 'Success', 20000);
  }
  function warningShow() {
    toastObj = ToastUtility.show('There was a problem with your network connection', 'Warning', 20000);
  }
  function dangerShow() {
    toastObj = ToastUtility.show('A problem has been occurred while submitting the data', 'Error', 20000);
  }

  function hideToast() {
    toastObj.hide('All');
  }

  return (
    <div>
      <div>
        <ButtonComponent cssClass="e-btn e-control e-info" onClick={infoShow.bind(this)}> Info Message </ButtonComponent>
        <ButtonComponent cssClass="e-btn e-control e-success" onClick={successShow.bind(this)}> Success Message </ButtonComponent>
        <ButtonComponent cssClass="e-btn e-control e-warning" onClick={warningShow.bind(this)}> Warning Message </ButtonComponent>
        <ButtonComponent cssClass="e-btn e-control e-danger" onClick={dangerShow.bind(this)}> Danger Message </ButtonComponent>
      </div>
      <br/>
      <div className="toastUtility">
        <ButtonComponent cssClass="e-btn e-control" onClick={hideToast.bind(this)}> Hide All </ButtonComponent>
      </div>
    </div>
  );
}
export default App;

Show Toast with ToastModel

The utility function can be called using the ToastModel as argument to show the toast where all the properties in the ToastModel like any events, position, close icon, action buttons, etc. can be used in the ToastUtility.show.

[Class-component]

import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
const toastObj;
class App extends React.Component {
    toastShow() {
        toastObj = ToastUtility.show({
            title: 'Toast Title',
            content: 'Toast shown using utility function with ToastModel',
            timeOut: 20000,
            position: { X: 'Right', Y: 'Bottom' },
            showCloseButton: true,
            click: this.toastClick.bind(this),
            buttons: [{
                    model: { content: 'Close' }, click: this.toastClose.bind(this)
                }]
        });
    }
    toastClick() {
        console.log('Toast click event triggered');
    }
    toastClose() {
        toastObj.hide('All');
    }
    render() {
        return (<div>
        <div className="toastUtility">
          <ButtonComponent cssClass="e-btn e-control" onClick={this.hideToast = this.toastShow.bind(this)}> Show Toast </ButtonComponent>
        </div>
      </div>);
    }
}
;
export default App;
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastComponent, ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
const toastObj;
class App extends React.Component<{}, {}> {
  public toastShow() {
    toastObj = ToastUtility.show({
        title: 'Toast Title',
        content: 'Toast shown using utility function with ToastModel',
        timeOut: 20000,
        position: { X: 'Right', Y: 'Bottom' },
        showCloseButton: true,
        click: this.toastClick.bind(this),
        buttons:  [{
            model: { content: 'Close' }, click: this.toastClose.bind(this)
        }]
    });
  }

  public toastClick() {
    console.log('Toast click event triggered');
  }

  public toastClose() {
    toastObj.hide('All');
  }

  public render() {
    return (
      <div>
        <div className="toastUtility">
          <ButtonComponent cssClass="e-btn e-control" onClick={this.hideToast = this.toastShow.bind(this)}> Show Toast </ButtonComponent>
        </div>
      </div>
    );
  }
};
export default App;

[Functional-component]

import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
let toastObj;
function App() {
    function toastShow() {
        toastObj = ToastUtility.show({
            title: 'Toast Title',
            content: 'Toast shown using utility function with ToastModel',
            timeOut: 20000,
            position: { X: 'Right', Y: 'Bottom' },
            showCloseButton: true,
            click: toastClick.bind(this),
            buttons: [{
                    model: { content: 'Close' }, click: toastClose.bind(this)
                }]
        });
    }
    function toastClick() {
        console.log('Toast click event triggered');
    }
    function toastClose() {
        toastObj.hide('All');
    }
    return (<div>
      <div className="toastUtility">
        <ButtonComponent cssClass="e-btn e-control" onClick={toastShow.bind(this)}> Show Toast </ButtonComponent>
      </div>
    </div>);
}
export default App;
import { ButtonComponent } from '@syncfusion/ej2-react-buttons';
import { ToastComponent, ToastUtility } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
let toastObj;
function App() {
  function toastShow() {
    toastObj = ToastUtility.show({
        title: 'Toast Title',
        content: 'Toast shown using utility function with ToastModel',
        timeOut: 20000,
        position: { X: 'Right', Y: 'Bottom' },
        showCloseButton: true,
        click: toastClick.bind(this),
        buttons:  [{
            model: { content: 'Close' }, click: toastClose.bind(this)
        }]
    });
  }

  function toastClick() {
    console.log('Toast click event triggered');
  }

  function toastClose() {
    toastObj.hide('All');
  }

  return (
    <div>
      <div className="toastUtility">
        <ButtonComponent cssClass="e-btn e-control" onClick={toastShow.bind(this)}> Show Toast </ButtonComponent>
      </div>
    </div>
  );
}
export default App;

Toast services in Angular Toast component

27 Sep 20238 minutes to read

The Toast component provides a built-in utility function to render the toast with minimal code. The utility function will render the toast without the need of rendering the container element in the DOM where the toast is appended. So that, the toast can now be rendered on the go. The following are the option to render the toast using the utility function.

Show Toast with predefined types

The Toast component support 4 types of predefined toast with essential colors for various situations which can be shown using the ToastUtility.show by just defining the type of the toast without defining any class names. The following options are used as an argument on calling the utility function for predefined types:

Options Description
content Specifies the content that can be displayed on the Toast.
type Specifies the type of the predefined Toasts. The 4 types of predefined toasts are Information, Success, Error, Warning
timeOut Specifies the Toast display time duration on the page in milliseconds. Once the time expires, Toast message will be removed. Setting 0 as a time out value displays the Toast on the page until the user closes it manually.
import { Component, ViewChild } from '@angular/core';
import { ToastComponent } from '@syncfusion/ej2-angular-notifications';
import { closest} from '@syncfusion/ej2-base';
import { ToastUtility } from '@syncfusion/ej2-notifications';

@Component({
    selector: 'app-root',
    template: `<div>
    <button ejs-button  cssClass='e-btn e-control e-info' (click)="infoToast($event)">Info Message</button>
    <button ejs-button  cssClass='e-btn e-control e-success' (click)="successToast($event)">Success Message</button>
    <button ejs-button  cssClass='e-btn e-control e-warning' (click)="warningToast($event)">Warning Message</button>
    <button ejs-button  cssClass='e-btn e-control e-danger' (click)="dangerToast($event)">Danger Message</button>
    </div>
    <br/>
    <div style="text-align: center;">
    <button ejs-button  cssClass='e-btn e-control' (click)="hideToast($event)">Hide All</button>
    </div>`
})

export class AppComponent {
    public toastObj?: ToastComponent;
    public infoToast(args: any): void {
        this.toastObj = ToastUtility.show('Please read the comments carefully', 'Information', 20000) as ToastComponent;
    }
    public successToast(args: any): void {
        this.toastObj = ToastUtility.show('Your message has been sent successfully', 'Success', 20000) as ToastComponent;
    }
    public warningToast(args: any): void {
        this.toastObj = ToastUtility.show('There was a problem with your network connection', 'Warning', 20000) as ToastComponent;
    }
    public dangerToast(args: any): void {
        this.toastObj = ToastUtility.show('A problem has been occurred while submitting the data', 'Error', 20000) as ToastComponent;
    }
    public hideToast(args: any): void {
        this.toastObj?.hide('All');
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ToastModule } from '@syncfusion/ej2-angular-notifications';
import { ButtonModule, CheckBoxModule , RadioButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { DatePickerModule } from '@syncfusion/ej2-angular-calendars';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, ToastModule, ButtonModule, CheckBoxModule , RadioButtonModule, DropDownListModule, DatePickerModule
    ],
    declarations: [AppComponent ],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Show Toast with ToastModel

The utility function can be called using the ToastModel as argument to show the toast where all the properties in the ToastModel like any events, position, close icon, action buttons, etc. can be used in the ToastUtility.show.

import { Component, ViewChild } from '@angular/core';
import { ToastComponent } from '@syncfusion/ej2-angular-notifications';
import { closest} from '@syncfusion/ej2-base';
import { ToastUtility } from '@syncfusion/ej2-notifications';

@Component({
    selector: 'app-root',
    template: `<div style="text-align: center;">
    <button ejs-button  cssClass='e-btn e-control' (click)="showToast($event)">Show Toast</button>
    </div>`
})

export class AppComponent {
    public toastObj?: ToastComponent;
    public showToast(args: any): void {
        this.toastObj = ToastUtility.show({
            title: 'Toast Title',
            content: 'Toast shown using utility function with ToastModel',
            timeOut: 20000,
            position: { X: 'Right', Y: 'Bottom' },
            showCloseButton: true,
            click: this.toastClick.bind(this),
            buttons:  [{
                model: { content: 'Close' }, click: this.toastClose.bind(this)
            }]
        }) as ToastComponent;
    }

    public toastClose(): void {
        this.toastObj?.hide();
    }

    public toastClick(): void {
        console.log('Toast click event is triggered');
    }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ToastModule } from '@syncfusion/ej2-angular-notifications';
import { ButtonModule, CheckBoxModule , RadioButtonModule } from '@syncfusion/ej2-angular-buttons';
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns';
import { DatePickerModule } from '@syncfusion/ej2-angular-calendars';
import { AppComponent } from './app.component';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, ToastModule, ButtonModule, CheckBoxModule , RadioButtonModule, DropDownListModule, DatePickerModule
    ],
    declarations: [AppComponent ],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);